import { ViewRef } from '../types';
import { CoreTypes, View } from '@nativescript/core';
export type ContentSizeDIP = {
    width: CoreTypes.dip;
    fullWidth: CoreTypes.dip;
    height: CoreTypes.dip;
    fullHeight: CoreTypes.dip;
    marginTop: CoreTypes.dip;
    marginBottom: CoreTypes.dip;
    marginLeft: CoreTypes.dip;
    marginRight: CoreTypes.dip;
};
/**
 * Reactive content size of a NativeScript view.
 *
 * @param target
 * @param options
 */
export declare function useContentElementSize(target: View | ViewRef, options?: {
    onChange?: (size: ContentSizeDIP) => void;
    initialSize?: ContentSizeDIP;
}): {
    width: Readonly<import("nativescript-vue").Ref<number, number>>;
    fullWidth: Readonly<import("nativescript-vue").Ref<number, number>>;
    height: Readonly<import("nativescript-vue").Ref<number, number>>;
    fullHeight: Readonly<import("nativescript-vue").Ref<number, number>>;
    marginTop: Readonly<import("nativescript-vue").Ref<number, number>>;
    marginBottom: Readonly<import("nativescript-vue").Ref<number, number>>;
    marginLeft: Readonly<import("nativescript-vue").Ref<number, number>>;
    marginRight: Readonly<import("nativescript-vue").Ref<number, number>>;
};
