import { TaskFunc } from '@nativescript-use/nativescript-task';
import { Ref, UnwrapRef } from 'nativescript-vue';
export * from '@nativescript-use/nativescript-task';
/**
 * Reactive worker for multiprocessing.
 */
export declare function useWorker<TState, TResult, TUpdate>(vueFunction: TaskFunc<UnwrapRef<TState>, TResult, TUpdate>, options?: {
    state?: Ref<TState> | TState;
    initialResult?: TResult;
    runOnChangeState?: boolean;
    attachToContextFunctions?: {};
    inmediate?: boolean;
    performance?: boolean;
    on?: {
        progressUpdate?: (update: {
            data: TUpdate;
        }) => void;
        completed?: (data: TResult) => void;
        error?: (error: string) => void;
    };
}): {
    result: import("nativescript-vue").DeepReadonly<import("nativescript-vue").UnwrapNestedRefs<[TResult] extends [Ref<any, any>] ? import("@vue/shared").IfAny<TResult, Ref<TResult, TResult>, TResult> : Ref<UnwrapRef<TResult>, TResult | UnwrapRef<TResult>>>>;
    update: Readonly<Ref<{
        readonly data: import("nativescript-vue").DeepReadonly<TUpdate>;
    }, {
        readonly data: import("nativescript-vue").DeepReadonly<TUpdate>;
    }>>;
    isRunning: Readonly<Ref<boolean, boolean>>;
    isFinish: Readonly<Ref<boolean, boolean>>;
    error: Readonly<Ref<string, string>>;
    runTask: (newData?: Ref<TState> | TState) => void;
};
